Library Version 18.1.40

refresh
Prev | Chapter 13. Db_vector_iterator | Next

## refresh

### Function Details

    virtual int refresh(bool from_db=true)

Refresh iterator cached value.

#### Parameters

##### from_db

If not doing direct database get and this parameter is true, we will retrieve data directly from db.

#### See Also

db_base_iterator::refresh(bool)

### Class

db_vector_iterator

Prev | Up | Next
operator[] | Home | Chapter 14. Iterator Classes for db_map and db_multimap